Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jsystems.framework.common.action.swing
Interface IInternalFrame

All Known Implementing Classes:
  FInternalFrame

public interface IInternalFrame

Interface fuer InternalFrameEvents. Hier wird die Schnittstelle zwischen Control und ActionManager fuer InternalFrameEvents festgelegt.

Version:
  1.0
  Copyright by Jens Homm 2001 - 2004
Author:
  Jens Homm JSYSTEMS

Method Summary
`void` | `addInternalFrameListener(InternalFrameListener listener)` Fuegt dem Control den uebergebenen Listener als InternalFrameListener hinzu.
`String` | `getActionClassForInternalFrame()` Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein InternalFrameEvent ausgeloest wurde.
`void` | `removeInternalFrameListener(InternalFrameListener listener)` Entfernt den Listener aus dem Control.
`void` | `setActionClassForInternalFrame(String actionClassName)` Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InternalFrameEvent ausgeloest wurde.

Method Detail

### getActionClassForInternalFrame

    public String getActionClassForInternalFrame()

  Gibt den Namen der Actionklasse zurueck, die ausgefuehrt werden soll, wenn ein InternalFrameEvent ausgeloest wurde.

  Returns:
    Der Name der Actionklasse fuer InternalFrameEvent.

### setActionClassForInternalFrame

    public void setActionClassForInternalFrame(String actionClassName)

  Setzt den Namen der Actionklasse, die aufgerufen werden soll, wenn ein InternalFrameEvent ausgeloest wurde.

  Parameters:
    `actionClassName` - Der Name der Actionklasse fuer InternalFrameEvent.

### addInternalFrameListener

    public void addInternalFrameListener(InternalFrameListener listener)

  Fuegt dem Control den uebergebenen Listener als InternalFrameListener hinzu.

  Parameters:
    `listener` - Der hinzuzufuegende InternalFrameListener.

### removeInternalFrameListener

    public void removeInternalFrameListener(InternalFrameListener listener)

  Entfernt den Listener aus dem Control.

  Parameters:
    `listener` - Der zu entfernende Listener.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD